export class ApplicationNewData {
    firstName: string = '';
    secondName: string = '';
    isChild: boolean = true;
    firstNameParent: string = '';
    secondNameParent: string = '';
    email: string = '';

    isValid() {
        if (this.firstName.length === 0 || this.secondName.length === 0 || this.email.length === 0) {
            return false;
        }
        if (this.isChild === true) {
            return this.firstNameParent.length !== 0 && this.secondNameParent.length !== 0;
        }

        return true;
    }
}
